function [ ] = saveUdaqData( fileName, y1, y2, u1, u2, u3, r1, r2, time )
%SAVEUDAQDATA Saves data from udaq simulations
%   Detailed explanation goes here

%checks if file exists
file = ['udaq_data/', fileName, '_', datestr(now, 'dd-mmm-yyyy_HH.MM'), '.mat'];
fileId = fopen(file);
if fileId ~= -1
    fclose(fileId);
    disp('File exists! Choose another filename.');
    return;
else
    %saves the run struct in a .mat file
    save(file, 'y1', 'y2', 'u1', 'u2', 'u3', 'r1', 'r2', 'time');
end

end

