function [Amult] = blkmult(A,N)

% Finds Amult = [A, A^2, ..., A^(N-1)]
nx = size(A,1);
Amult = zeros(nx, nx*N);
Atemp = A;
for i = 1:N
    Amult(:, (i-1)*nx+1:i*nx) = Atemp;
    Atemp = Atemp*A;
end

end