function [ minima ] = find_minima( J )
%MINIMA Summary of this function goes here
%   Detailed explanation goes here
% Find number of minima
Jvec = J;
minima = 0;
last_direction = 0;

if Jvec(2) - Jvec(1) < 0
    last_direction = -1; % down
elseif Jvec(2) - Jvec(1) == 0
    last_direction = 0;
else
    last_direction = 1; % up
end
this_direction = last_direction;

for j = 2:length(J)
    
    % detects direction
    if Jvec(j) - Jvec(j-1) < 0
        this_direction = -1; % down
    elseif Jvec(j) - Jvec(j-1) == 0
        this_direction = 0;
    else
        this_direction = 1; % up
    end
    
    % updates direction
    if this_direction ~= last_direction
        if last_direction ~= 0 && this_direction ~= 0
            minima = minima + 1;
            j
        end
        last_direction = this_direction;
    end
end


end

