close all

s = tf('s');

% % This one gives a non-convex optimization problem!
% T1 = 0.01;
% T2 = 1;
% T3 = 10;
% T4 = 20;
% T5 = 100.0;
% num = (T2*s + 1)^2*(T4*s + 1)^2;
% den = 1*s*(T1*s + 1)*(T3*s + 1)^2*(T5*s + 1)*(110*s - 1);

% This one shows the non-convexity better
num = (0.1*s + 1)*(0.3*s + 1);
den = 10*s*(1*s + 1)*(1.5*s + 1);

G = num/den;
bode(G)

Ts = 0.1;
z = tf('z',Ts);

% This one shows the non-convexity better
num = (0.1*z + 1)*(0.3*z + 1);
den = 10*z*(0.01*z + 1)*(0.1*z + 1);

G = num/den;
figure
bode(G);