function [ nx,nu,ny ] = sysdim( A,B,C )
%SYSDIM Returns the dimensions of a linear model
%   x(k+1) = Ax(k) + Bu(k)
%   y(k) = Cx(k)
%   
%   Usage: [nx,nu,ny] = sysdim( A,B,C )

nx = size(A,1);
nu = size(B,2);
ny = size(C,1);

end

